commit:     deb754adf10c1e897895cdaa6d2fefc3a46a7593
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  9 08:35:22 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Aug  9 08:36:11 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=deb754ad

media-sound/mpg123: Bump to version 1.25.5

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 media-sound/mpg123/Manifest             |   1 +
 media-sound/mpg123/mpg123-1.25.5.ebuild | 107 ++++++++++++++++++++++++++++++++
 2 files changed, 108 insertions(+)

diff --git a/media-sound/mpg123/Manifest b/media-sound/mpg123/Manifest
index 4439ea89c5a..2eeaeb5d435 100644
--- a/media-sound/mpg123/Manifest
+++ b/media-sound/mpg123/Manifest
@@ -2,3 +2,4 @@ DIST mpg123-1.24.0.tar.bz2 912049 SHA256 
55fb169a7711938f5df0497d1ffe28419fbef50
 DIST mpg123-1.25.2.tar.bz2 918024 SHA256 
5314b0fb8ad291bfc79ff4c5c321b971916819a65233ec065434358fcf8aee38 SHA512 
1b063a7a497d6f643b43a0e0db0e1a8951bf110cabf8f3dc63d7ed1b8e47ef4a42649622a5e4efb582479beacd7d3872b4f061716a5f6970b3f5bed7ef4f3fe9
 WHIRLPOOL 
e8d6e74b857cac86e77651339d3491088ac5024aae149bbcc691a28bb8cda46395ab8f4505d2ff7eb6ba3311c97db1baa64c686ed508adb0ba3c91cd2faf1e32
 DIST mpg123-1.25.3.tar.bz2 917879 SHA256 
c24848dd1fcaf6900a2b1f5549996904f75fe6e05de982da655f8c626b375644 SHA512 
a2e4368db3b6726b94fc8b1f8aa1210fda2ba1456503cca73b0d9315894d3b72645ebac11dba6717540110bf680fe2f00727da5b0087b6d797fe288bb3c1e65e
 WHIRLPOOL 
74412cc9e70464ebf0b000b6cb66eefe35d45b23fd6d8db1462947ad6f6242578f3360c46a7891245424c24c45bacd09db5341744b306a8f1f9dba6b37db14e6
 DIST mpg123-1.25.4.tar.bz2 918534 SHA256 
cdb5620e8aab83f75a27dab3394a44b9cc4017fc77b2954b8425ca416db6b3e7 SHA512 
aea1f225f6addfea8a22cbe020f3216531b8e988d11cf5d588733e7ce22c03d4649df5ae3f596a0e15507e1d9f2c83a16a71affb479dd4156d270b0d23c2f072
 WHIRLPOOL 
f6c6a8b15ba9496bd44c924cd5eabd6b137c4d764c097649ad8b0204367e415df8cee667b021a4043352117299c15b04d9fdc9f392945409e49f717242b5ed1a
+DIST mpg123-1.25.5.tar.bz2 918861 SHA256 
358da8602c001e6b25dddd496f50540a419e9922f0efe513e890f266135926b1 SHA512 
8c97684cd684762b231347c741fd21deb4d2afa40c7c11626444b41046161e5d7089c5ec0971e5b7bbbdb5f49618f1eb8b534ba43fb91e05d706a78d8470d125
 WHIRLPOOL 
a794e6f8614b6e18dce75594cfba428d1d6956d7da58ec7ff9bd7938276e5601e4829965b20d3f6f14648be9dbc023d5f41a4f4df7ff247c9e4920a714c91b7b

diff --git a/media-sound/mpg123/mpg123-1.25.5.ebuild 
b/media-sound/mpg123/mpg123-1.25.5.ebuild
new file mode 100644
index 00000000000..37789fbf780
--- /dev/null
+++ b/media-sound/mpg123/mpg123-1.25.5.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit flag-o-matic toolchain-funcs libtool multilib-minimal
+
+DESCRIPTION="a realtime MPEG 1.0/2.0/2.5 audio player for layers 1, 2 and 3"
+HOMEPAGE="http://www.mpg123.org/";
+SRC_URI="http://www.mpg123.org/download/${P}.tar.bz2";
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos 
~sparc-solaris ~x86-solaris"
+IUSE="cpu_flags_x86_3dnow cpu_flags_x86_3dnowext alsa altivec coreaudio 
int-quality ipv6 jack cpu_flags_x86_mmx nas oss portaudio pulseaudio sdl 
cpu_flags_x86_sse"
+
+# No MULTILIB_USEDEP here since we only build libmpg123 for non native ABIs.
+RDEPEND="app-eselect/eselect-mpg123
+       dev-libs/libltdl:0
+       alsa? ( media-libs/alsa-lib )
+       jack? ( virtual/jack )
+       nas? ( media-libs/nas )
+       portaudio? ( media-libs/portaudio )
+       pulseaudio? ( media-sound/pulseaudio )
+       sdl? ( media-libs/libsdl )
+       abi_x86_32? (
+               !<=app-emulation/emul-linux-x86-soundlibs-20130224-r9
+               !app-emulation/emul-linux-x86-soundlibs[-abi_x86_32(-)]
+       )"
+DEPEND="${RDEPEND}
+       sys-devel/libtool
+       virtual/pkgconfig"
+
+DOCS=( AUTHORS ChangeLog NEWS NEWS.libmpg123 README )
+
+pkg_setup() {
+       # Build fails without -D_GNU_SOURCE like this:
+       # error: ‘struct hostent’ has no member named ‘h_addr’
+       append-cflags -D_GNU_SOURCE
+}
+
+src_prepare() {
+       default
+       elibtoolize # for Darwin bundles
+}
+
+multilib_src_configure() {
+       local _audio=dummy
+       local _output=dummy
+       local _cpu=generic_fpu
+
+       if $(multilib_is_native_abi) ; then
+               for flag in nas portaudio sdl oss jack alsa pulseaudio 
coreaudio; do
+                       if use ${flag}; then
+                               _audio+=" ${flag/pulseaudio/pulse}"
+                               _output=${flag/pulseaudio/pulse}
+                       fi
+               done
+       fi
+
+       use altivec && _cpu=altivec
+
+       if [[ $(tc-arch) == amd64 || ${ARCH} == x64-* ]]; then
+               use cpu_flags_x86_sse && _cpu=x86-64
+       elif use x86 && gcc-specs-pie ; then
+               # Don't use any mmx, 3dnow, sse and 3dnowext #bug 164504
+               _cpu=generic_fpu
+       elif use x86-macos ; then
+               # ASM doesn't work quite as expected with the Darwin linker
+               _cpu=generic_fpu
+       else
+               use cpu_flags_x86_mmx && _cpu=mmx
+               use cpu_flags_x86_3dnow && _cpu=3dnow
+               use cpu_flags_x86_sse && _cpu=x86
+               use cpu_flags_x86_3dnowext && _cpu=x86
+       fi
+
+       local myconf=""
+       multilib_is_native_abi || myconf="${myconf} --disable-modules"
+
+       ECONF_SOURCE="${S}" econf \
+               --with-optimization=0 \
+               --with-audio="${_audio}" \
+               --with-default-audio=${_output} \
+               --with-cpu=${_cpu} \
+               --enable-network \
+               $(use_enable ipv6) \
+               --enable-int-quality=$(usex int-quality) \
+               ${myconf}
+
+       if ! $(multilib_is_native_abi) ; then
+               sed -i -e 's:src doc:src/libmpg123:' Makefile || die
+       fi
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       mv "${ED}"/usr/bin/mpg123{,-mpg123}
+       find "${ED}" -name '*.la' -exec sed -i -e 
"/^dependency_libs/s:=.*:='':" {} +
+}
+
+pkg_postinst() {
+       eselect mpg123 update ifunset
+}
+
+pkg_postrm() {
+       eselect mpg123 update ifunset
+}

Reply via email to